ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.HsToCore.Foreign.Utils

Synopsis

- type Binding = (Id, CoreExpr)
- getPrimTyOf :: Type -> UnaryType
- primTyDescChar :: Platform -> Type -> Char
- ppPrimTyConStgType :: TyCon -> Maybe String

# Documentation

type Binding = (Id, CoreExpr) Source #

getPrimTyOf :: Type -> UnaryType Source #

primTyDescChar :: Platform -> Type -> Char Source #

ppPrimTyConStgType :: TyCon -> Maybe String Source #

Printed C Type to be used with CAPI calling convention